dnl
dnl AC_SEARCH_AND_DEFINE_HEADER(filename, paths, flag)
dnl
AC_DEFUN(AC_SEARCH_AND_DEFINE_HEADER,[
	AC_SEARCH_HEADER_PATH($1, $2, ac_search_and_define_header_result)
	if test -n "$ac_search_and_define_header_result" ; then
		if test $ac_search_and_define_header_result != "/usr/include"
		then
			ac_search_and_define_header_cflags="-I${ac_search_and_define_header_result}" ;
			$3=$ac_search_and_define_header_cflags
		fi
	else
		AC_NOHEADER_MSG_WARN($1)
	fi
])

